import { Vec2Sym, Vec3Sym, Vec4Sym } from "@thi.ng/shader-ast";
/**
 * Inline function. Returns max(v.x, v.y)
 *
 * @param v -
 */
export declare const maxComp2: (v: Vec2Sym | Vec3Sym | Vec4Sym) => import("@thi.ng/shader-ast").FnCall<"float">;
/**
 * Inline function. Returns max(v.x, v.y, v.z)
 *
 * @param v -
 */
export declare const maxComp3: (v: Vec3Sym | Vec4Sym) => import("@thi.ng/shader-ast").FnCall<"float">;
/**
 * Inline function. Returns max(v.x, v.y, v.z, v.w)
 *
 * @param v -
 */
export declare const maxComp4: (v: Vec4Sym) => import("@thi.ng/shader-ast").FnCall<"float">;
//# sourceMappingURL=maxcomp.d.ts.map