/**
 * Converts 2D cartesian vector `v` to polar coordinates, i.e. `[r,θ]`
 * (angle in radians). See {@link cartesian2} for reverse operation.
 *
 * @param v -
 */
export declare const polar2: import("@thi.ng/shader-ast").TaggedFn1<"vec2", "vec2">;
/**
 * Converts 3D cartesian vector `v` to spherical coordinates, i.e.
 * `[r,θ,ϕ]` (angles in radians). See {@link cartesian3} for reverse
 * operation.
 *
 * @param v -
 */
export declare const polar3: import("@thi.ng/shader-ast").TaggedFn1<"vec3", "vec3">;
//# sourceMappingURL=polar.d.ts.map