import { Mat4Term, Vec3Term } from "@thi.ng/shader-ast";
/**
 * Inline function. Multiplies `normal` with given 4x4 normal matrix
 * (e.g. transpose inverse of view * model).
 *
 * @param n -
 * @param normalMat -
 */
export declare const surfaceNormal: (n: Vec3Term, normalMat: Mat4Term) => import("@thi.ng/shader-ast").FnCall<"vec3">;
//# sourceMappingURL=normal.d.ts.map